Skip to main content

Register a new business

POST 

/business

Registering a new business will submit that business for verification. After submission, an ID for the business will be provided. The verification progress can be checked using the “Get business by ID” API call.

Note: There is a service fee associated with each registered business.

Body

required

application/json

    legalNamestringrequired

    Legal registered name of the business

    Example: Sample Business Inc.

    primaryNamestringrequired

    Primary DBA / public business name

    Example: Sample Business

    dunsNumberstring

    While DUNS number is optional in the API, the service might decline businesses without a DUNS number depending on the API key configuration. If DUNS is provided, Hiya will verify the business information against the DUNS record on file, even if DUNS is optional.

    Example: 123456789

    einVatNumberstring
    Example: GB123456789

    countrystringrequired

    Primary country of operation for business headquarters. Provide as an ISO-3166-1 alpha-2 country code, for example “US”, “GB”, “DE”.

    Example: GB

    regionstring

    State/province or similar of the business headquarters. IMPORTANT: This field is required for businesses registered in either US or CA, using the two-character territory code (BC, ON, QB or similar) or the two-character state code (WA, NY, PR or similar).

    Example: West Yorkshire

    citystringrequired
    Example: Leeds

    postcodestring
    Example: LS1

    streetAddressLine1string
    Example: 123 Any St.

    streetAddressLine2string
    Example: Suite 200

    industrystringrequired

    Primary industry of operations by this business (not limited to only industry purpose that creates phone calls)

    Format: industry (string)

    Possible values: [ACCOUNTING_OR_FINANCE, BILLING_AND_COLLECTIONS, BUSINESS_SERVICES, CHARITY_OR_FUNDRAISING, COMMUNICATIONS, CUSTOMER_SERVICE, DELIVERY_OR_SHIPPING, EDUCATION, FINANCIAL_SERVICES, GOVERNMENT_OR_PUBLIC_SERVICES, HEALTHCARE_OR_PHARMACY, INSURANCE, LEGAL_SERVICES, NOTIFICATIONS_OR_SCHEDULING, REAL_ESTATE, RETAIL, SALES, SOFTWARE_OR_TECHNOLOGY_OR_MEDIA, SURVEYS_AND_MARKET_RESEARCH, TRAVEL_OR_HOSPITALITY, OTHER]

    Example: ACCOUNTING_OR_FINANCE

    contactobject

    Name, email address, phone number, and job title of a representative at the business


    firstNamestringrequired
    Example: Sample

    lastNamestringrequired
    Example: Person

    emailstringrequired
    Example: sample@sample.com

    titlestringrequired
    Example: CEO

    phonestringrequired
    Example: +4412345678990

    numberOfEmployeesstringrequired
    Format: NumberOfEmployees (string)

    Possible values: [BETWEEN_1_AND_10, BETWEEN_11_AND_50, BETWEEN_51_AND_200, BETWEEN_201_AND_500, BETWEEN_501_AND_2000, BETWEEN_2001_AND_10000, MORE_THAN_10001]

    Example: BETWEEN_1_AND_10

    websitestringrequired

    Primary website (will be used in business verification)

    Example: www.hiya.com

    authorizedbooleanrequired

    By setting to true, you are asserting that this business has given you authorization to represent them for the purposes of registration and calling reputation management.

    Example: true

Responses​

Ok

Response Body

application/json

    idstringrequired

    The unique identifier for the business that was successfully created. This ID can be used for future reference or operations related to this business.

    Format: string<uuid>

    requestIdstringrequired

    The unique identifier for the request. This ID can be used to track the request and its associated response.


    timestampstringrequired

    The timestamp when the request was processed. This field indicates the exact time at which the response was generated.

    Format: string<date-time>

Example from Schema​

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z"
}